# DelegateStackStxOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Delegate stack stx options

param

  the STX address of the delegator

param

  number of microstacks to lock

param

  the reward Bitcoin address of the delegator

param

  the burnchain block height to begin lock

param

  number of cycles to lock

param

  private key to sign transaction

param

  nonce for the transaction

### Hierarchy

- DelegateStackStxOptions

## Index

### Properties

- amountMicroStx
- burnBlockHeight
- cycles
- nonce
- poxAddress
- privateKey
- stacker

## Properties

### amountMicroStx

amountMicroStx: BN

- Defined in packages/stacking/src/index.ts:144

### burnBlockHeight

burnBlockHeight: number

- Defined in packages/stacking/src/index.ts:146

### cycles

cycles: number

- Defined in packages/stacking/src/index.ts:147

### Optional nonce

nonce: BN

- Defined in packages/stacking/src/index.ts:149

### poxAddress

poxAddress: string

- Defined in packages/stacking/src/index.ts:145

### privateKey

privateKey: string

- Defined in packages/stacking/src/index.ts:148

### stacker

stacker: string

- Defined in packages/stacking/src/index.ts:143

Generated using TypeDoc